Subject: RE: L2TP charter

From: Andy Koscinski <[email-masked]>
Date: Thu, 27 Jul 2000 21:24:29 -0700

> -----Original Message-----
> From: Ignacio Goyret [mailto:[email-masked]]
> Sent: Thursday, July 27, 2000 5:16 PM
> To: Danny McPherson
> Cc: [email-masked]'
> Subject: Re: L2TP charter
> 
> 
> At 04:41 PM 7/27/00 -0700, Danny McPherson wrote:
> >
> >GRE provides only an encapsulation scheme, it provides no 
> >end-to-end signaling mechanism.
> >
> >GRE does not generate a Tunnel ID, which can be used to 
> >assist with processing tunnel payload in hardware.
> 
> Read rfc2107 for a solution that implements a signaling mechanism
> for GRE that negotiates a 'tunnel ID'.
>

I would advise against using the tunneling
as defined in the rfc2107 for the purpose
of circuit emulation over IP on the following counts:

1. the "tunnel id" is not supported by the GRE any more:
The tunnel id was carried in the "key" field of the GRE tunnel packets
as defined in the RFC1701 (10/1994). The "key" field has been removed
from the newest GRE RFC2784 (3/2000), quote from RFC2784:
"the GRE header will never contain the Key, Sequence Number or Routing 
fields specified in RFC 1701".

2. the tunnel id was 16 bit value, which would never scale up to
the number of sessions required for circuit emulation.
L2TP can support 64,000 x 64,000 sessions.

3. in RFC2107 there is no aggregation scheme to bundle sessions to tunnels.

4. rfc2107 is informational and Ascend proprietory dated 2/97, 
before L2TP was advanced to a standard. A quote from RFC2107:
"There is ongoing effort in an IETF working group which could 
result in a standards track document which specifies a protocol 
which provides similar functionality."

[email-masked]

---

From: Thomas Narten <[email-masked]>
Date: Fri, 28 Jul 2000 06:45:49 -0400

> fields specified in RFC 1701".

See draft-dommety-gre-ext-04.txt, "Key and Sequence Number Extensions
to GRE". That document has been approved by the IESG as a Proposed
Standard and is in the RFC Editor's publication queue.

Thomas